package ru.m.puzzlez.core;

import flash.geom.Point;

enum GameEvent {
    START(state:GameState);
    PART_MOVE(id:Int, position:Point);
    PART_PUT(id:Int, position:Point);
    PART_MOVED(id:Int, position:Point);
}
